"use client";
import { cn } from "@/utils/styles";
import { ContactRoundIcon, LayersIcon } from "lucide-react";
import Link from "next/link";
import { usePathname } from "next/navigation";

interface Site {
	name: string;
	icon: JSX.Element;
	path: string;
}

export function HeaderNavigation() {
	const pathname = usePathname();
	const sites: Site[] = [
		{
			name: "Dashboard",
			icon: <LayersIcon className="w-4 h-4" />,
			path: "/",
		},
		/* {
			name: "Meine Druckaufträge",
			path: "/my/jobs",
		}, */
		{
			name: "Mein Profil",
			icon: <ContactRoundIcon className="w-4 h-4" />,
			path: "/my/profile",
		},
	];

	return (
		<nav className="font-medium text-sm flex items-center gap-4 flex-row">
			{sites.map((site) => (
				<Link
					key={site.path}
					href={site.path}
					className={cn("transition-colors hover:text-neutral-50 flex items-center gap-x-1", {
						"text-primary-foreground font-semibold": pathname === site.path,
						"text-neutral-500": pathname !== site.path,
					})}
				>
					{site.icon}
					<span>{site.name}</span>
				</Link>
			))}
		</nav>
	);
}
